Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.1.1.3.4.6.2.4
retrieving revision 1.1.1.3.4.6.2.4.2.1
diff -u -r1.1.1.3.4.6.2.4 -r1.1.1.3.4.6.2.4.2.1
--- squid/src/client_side.c	10 Jul 2001 19:42:13 -0000	1.1.1.3.4.6.2.4
+++ squid/src/client_side.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.6.2.4.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: client_side.c,v 1.1.1.3.4.6.2.4 2001/07/10 19:42:13 serassio Exp $
+ * $Id: client_side.c,v 1.1.1.3.4.6.2.4.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -63,8 +62,6 @@
 #endif
 #endif
 
-
-
 #if LINGERING_CLOSE
 #define comm_close comm_lingering_close
 #endif
@@ -85,11 +82,14 @@
 static void checkFailureRatio(err_type, hier_code);
 static void clientProcessMiss(clientHttpRequest *);
 static void clientBuildReplyHeader(clientHttpRequest * http, HttpReply * rep);
-static clientHttpRequest *parseHttpRequestAbort(ConnStateData * conn, const char *uri);
-static clientHttpRequest *parseHttpRequest(ConnStateData *, method_t *, int *, char **, size_t *);
+static clientHttpRequest *parseHttpRequestAbort(ConnStateData * conn,
+    const char *uri);
+static clientHttpRequest *parseHttpRequest(ConnStateData *, method_t *, int *,
+    char **, size_t *);
 static RH clientRedirectDone;
 static STCB clientHandleIMSReply;
-static int clientGetsOldEntry(StoreEntry * new, StoreEntry * old, request_t * request);
+static int clientGetsOldEntry(StoreEntry * new, StoreEntry * old,
+    request_t * request);
 static int checkAccelOnly(clientHttpRequest *);
 #if USE_IDENT
 static IDCB clientIdentDone;
@@ -98,7 +98,8 @@
 static STCB clientSendMoreData;
 static STCB clientCacheHit;
 static void clientSetKeepaliveFlag(clientHttpRequest *);
-static void clientPackRangeHdr(const HttpReply * rep, const HttpHdrRangeSpec * spec, String boundary, MemBuf * mb);
+static void clientPackRangeHdr(const HttpReply * rep,
+    const HttpHdrRangeSpec * spec, String boundary, MemBuf * mb);
 static void clientPackTermBound(String boundary, MemBuf * mb);
 static void clientInterpretRequestHeaders(clientHttpRequest *);
 static void clientProcessRequest(clientHttpRequest *);
@@ -151,8 +152,7 @@
 	return;
     }
     http->acl_checklist = aclChecklistCreate(Config.accessList.http,
-	http->request,
-	conn->ident);
+	http->request, conn->ident);
 #if USE_IDENT
     /*
      * hack for ident ACL. It needs to get full addresses, and a
@@ -327,9 +327,7 @@
      */
     assert(storeClientListSearch(http->old_entry->mem_obj, http));
     entry = storeCreateEntry(url,
-	http->log_uri,
-	http->request->flags,
-	http->request->method);
+	http->log_uri, http->request->flags, http->request->method);
     /* NOTE, don't call storeLockObject(), storeCreateEntry() does it */
     storeClientListAdd(entry, http);
 #if DELAY_POOLS
@@ -348,13 +346,12 @@
 	http->out.offset,
 	http->out.offset,
 	CLIENT_SOCK_SZ,
-	memAllocate(MEM_CLIENT_SOCK_BUF),
-	clientHandleIMSReply,
-	http);
+	memAllocate(MEM_CLIENT_SOCK_BUF), clientHandleIMSReply, http);
 }
 
 static int
-clientGetsOldEntry(StoreEntry * new_entry, StoreEntry * old_entry, request_t * request)
+clientGetsOldEntry(StoreEntry * new_entry, StoreEntry * old_entry,
+    request_t * request)
 {
     const http_status status = new_entry->mem_obj->reply->sline.status;
     if (0 == status) {
@@ -390,7 +387,6 @@
     return 0;
 }
 
-
 static void
 clientHandleIMSReply(void *data, char *buf, ssize_t size)
 {
@@ -422,10 +418,14 @@
 	storeUnlockObject(entry);
 	entry = http->entry = http->old_entry;
     } else if (STORE_PENDING == entry->store_status && 0 == status) {
-	debug(33, 3) ("clientHandleIMSReply: Incomplete headers for '%s'\n", url);
+	debug(33, 3) ("clientHandleIMSReply: Incomplete headers for '%s'\n",
+	    url);
 	if (size >= CLIENT_SOCK_SZ) {
 	    /* will not get any bigger than that */
-	    debug(33, 3) ("clientHandleIMSReply: Reply is too large '%s', using old entry\n", url);
+	    debug(33,
+		3)
+		("clientHandleIMSReply: Reply is too large '%s', using old entry\n",
+		url);
 	    /* use old entry, this repeats the code abovez */
 	    http->log_type = LOG_TCP_REFRESH_FAIL_HIT;
 	    storeUnregister(entry, http);
@@ -436,10 +436,7 @@
 	    storeClientCopy(entry,
 		http->out.offset + size,
 		http->out.offset,
-		CLIENT_SOCK_SZ,
-		buf,
-		clientHandleIMSReply,
-		http);
+		CLIENT_SOCK_SZ, buf, clientHandleIMSReply, http);
 	    return;
 	}
     } else if (clientGetsOldEntry(entry, http->old_entry, http->request)) {
@@ -484,11 +481,7 @@
     if (recopy) {
 	storeClientCopy(entry,
 	    http->out.offset,
-	    http->out.offset,
-	    CLIENT_SOCK_SZ,
-	    buf,
-	    clientSendMoreData,
-	    http);
+	    http->out.offset, CLIENT_SOCK_SZ, buf, clientSendMoreData, http);
     } else {
 	clientSendMoreData(data, buf, size);
     }
@@ -534,13 +527,16 @@
     StoreEntry *entry;
     ErrorState *err = NULL;
     HttpReply *r;
-    debug(33, 3) ("Config2.onoff.enable_purge = %d\n", Config2.onoff.enable_purge);
+    debug(33, 3) ("Config2.onoff.enable_purge = %d\n",
+	Config2.onoff.enable_purge);
     if (!Config2.onoff.enable_purge) {
 	http->log_type = LOG_TCP_DENIED;
 	err = errorCon(ERR_ACCESS_DENIED, HTTP_FORBIDDEN);
 	err->request = requestLink(http->request);
 	err->src_addr = http->conn->peer.sin_addr;
-	http->entry = clientCreateStoreEntry(http, http->request->method, null_request_flags);
+	http->entry =
+	    clientCreateStoreEntry(http, http->request->method,
+	    null_request_flags);
 	errorAppendEntry(http->entry, err);
 	return;
     }
@@ -551,13 +547,13 @@
 	storeRelease(entry);
 	http->http_code = HTTP_OK;
     }
-    debug(33, 4) ("clientPurgeRequest: Not modified '%s'\n",
-	storeUrl(entry));
+    debug(33, 4) ("clientPurgeRequest: Not modified '%s'\n", storeUrl(entry));
     /*
      * Make a new entry to hold the reply to be written
      * to the client.
      */
-    http->entry = clientCreateStoreEntry(http, http->request->method, null_request_flags);
+    http->entry =
+	clientCreateStoreEntry(http, http->request->method, null_request_flags);
     httpReplyReset(r = http->entry->mem_obj->reply);
     httpReplySetHeaders(r, 1.0, http->http_code, NULL, NULL, 0, 0, -1);
     httpReplySwapOut(r, http->entry);
@@ -661,6 +657,8 @@
     if (http->out.size || http->log_type) {
 	http->al.icp.opcode = ICP_INVALID;
 	http->al.url = http->log_uri;
+	if (Config.onoff.log_redirected_url)
+	    http->al.url = http->uri;
 	debug(33, 9) ("httpRequestFree: al.url='%s'\n", http->al.url);
 	if (mem) {
 	    http->al.http.code = mem->reply->sline.status;
@@ -689,7 +687,8 @@
 	}
 	accessLogLog(&http->al);
 	clientUpdateCounters(http);
-	clientdbUpdate(conn->peer.sin_addr, http->log_type, PROTO_HTTP, http->out.size);
+	clientdbUpdate(conn->peer.sin_addr, http->log_type, PROTO_HTTP,
+	    http->out.size);
     }
     if (http->acl_checklist)
 	aclChecklistFree(http->acl_checklist);
@@ -783,20 +782,20 @@
      * Now knows about IE 5.5 fix (is actually only fixed in SP1, 
      * but we can't tell whether we are talking to SP1 or not so 
      * all 5.5 versions are treated 'normally').
-    */
+     */
     if (Config.onoff.ie_refresh) {
-        if (http->flags.accel && request->flags.ims) {
-           if ( (str = httpHeaderGetStr(req_hdr, HDR_USER_AGENT)) ) {
-               if (strstr(str, "MSIE 5.01") != NULL)
-                   no_cache++;
-               else if (strstr(str, "MSIE 5.0") != NULL)
-                   no_cache++;
-               else if (strstr(str, "MSIE 4.") != NULL)
-                   no_cache++;
-               else if (strstr(str, "MSIE 3.") != NULL)
-                   no_cache++;
-            }
-        }
+	if (http->flags.accel && request->flags.ims) {
+	    if ((str = httpHeaderGetStr(req_hdr, HDR_USER_AGENT))) {
+		if (strstr(str, "MSIE 5.01") != NULL)
+		    no_cache++;
+		else if (strstr(str, "MSIE 5.0") != NULL)
+		    no_cache++;
+		else if (strstr(str, "MSIE 4.") != NULL)
+		    no_cache++;
+		else if (strstr(str, "MSIE 3.") != NULL)
+		    no_cache++;
+	    }
+	}
     }
     if (no_cache) {
 #if HTTP_VIOLATIONS
@@ -1008,7 +1007,8 @@
 static int
 clientIfRangeMatch(clientHttpRequest * http, HttpReply * rep)
 {
-    const TimeOrTag spec = httpHeaderGetTimeOrTag(&http->request->header, HDR_IF_RANGE);
+    const TimeOrTag spec =
+	httpHeaderGetTimeOrTag(&http->request->header, HDR_IF_RANGE);
     /* check for parsing falure */
     if (!spec.valid)
 	return 0;
@@ -1020,7 +1020,9 @@
 	if (!rep_tag.str)
 	    return 0;		/* entity has no etag to compare with! */
 	if (spec.tag.weak || rep_tag.weak) {
-	    debug(33, 1) ("clientIfRangeMatch: Weak ETags are not allowed in If-Range: %s ? %s\n",
+	    debug(33, 1)
+		
+		("clientIfRangeMatch: Weak ETags are not allowed in If-Range: %s ? %s\n",
 		spec.tag.str, rep_tag.str);
 	    return 0;		/* must use strong validator for sub-range requests */
 	}
@@ -1091,7 +1093,8 @@
 	range_err = "unknown length";
     else if (rep->content_length != http->entry->mem_obj->reply->content_length)
 	range_err = "INCONSISTENT length";	/* a bug? */
-    else if (httpHeaderHas(&http->request->header, HDR_IF_RANGE) && !clientIfRangeMatch(http, rep))
+    else if (httpHeaderHas(&http->request->header, HDR_IF_RANGE)
+	&& !clientIfRangeMatch(http, rep))
 	range_err = "If-Range match failed";
     else if (!httpHdrRangeCanonize(http->request->range, rep->content_length))
 	range_err = "canonization failed";
@@ -1099,14 +1102,16 @@
 	range_err = "too complex range header";
     /* get rid of our range specs on error */
     if (range_err) {
-	debug(33, 3) ("clientBuildRangeHeader: will not do ranges: %s.\n", range_err);
+	debug(33, 3) ("clientBuildRangeHeader: will not do ranges: %s.\n",
+	    range_err);
 	httpHdrRangeDestroy(http->request->range);
 	http->request->range = NULL;
     } else {
 	const int spec_count = http->request->range->specs.count;
 	int actual_clen = -1;
 
-	debug(33, 3) ("clientBuildRangeHeader: range spec count: %d virgin clen: %d\n",
+	debug(33, 3)
+	    ("clientBuildRangeHeader: range spec count: %d virgin clen: %d\n",
 	    spec_count, rep->content_length);
 	assert(spec_count > 0);
 	/* ETags should not be returned with Partial Content replies? */
@@ -1114,7 +1119,8 @@
 	/* append appropriate header(s) */
 	if (spec_count == 1) {
 	    HttpHdrRangePos pos = HttpHdrRangeInitPos;
-	    const HttpHdrRangeSpec *spec = httpHdrRangeGetSpec(http->request->range, &pos);
+	    const HttpHdrRangeSpec *spec =
+		httpHdrRangeGetSpec(http->request->range, &pos);
 	    assert(spec);
 	    /* append Content-Range */
 	    httpHeaderAddContRange(hdr, *spec, rep->content_length);
@@ -1139,7 +1145,8 @@
 	assert(actual_clen >= 0);
 	httpHeaderDelById(hdr, HDR_CONTENT_LENGTH);
 	httpHeaderPutInt(hdr, HDR_CONTENT_LENGTH, actual_clen);
-	debug(33, 3) ("clientBuildRangeHeader: actual content length: %d\n", actual_clen);
+	debug(33, 3) ("clientBuildRangeHeader: actual content length: %d\n",
+	    actual_clen);
     }
 }
 
@@ -1225,7 +1232,8 @@
 	getMyHostname(), ntohs(Config.Sockaddr.http->s.sin_port));
 #endif
     if (httpReplyBodySize(request->method, rep) < 0) {
-	debug(33, 3) ("clientBuildReplyHeader: can't keep-alive, unknown body size\n");
+	debug(33, 3)
+	    ("clientBuildReplyHeader: can't keep-alive, unknown body size\n");
 	request->flags.proxy_keepalive = 0;
     }
     /* Signal keep-alive if needed */
@@ -1321,11 +1329,7 @@
 	    debug(33, 3) ("clientCacheHit: waiting for HTTP reply headers\n");
 	    storeClientCopy(e,
 		http->out.offset + size,
-		http->out.offset,
-		CLIENT_SOCK_SZ,
-		buf,
-		clientCacheHit,
-		http);
+		http->out.offset, CLIENT_SOCK_SZ, buf, clientCacheHit, http);
 	}
 	return;
     }
@@ -1408,7 +1412,9 @@
 	    memFree(buf, MEM_CLIENT_SOCK_BUF);
 	    storeUnregister(e, http);
 	    storeUnlockObject(e);
-	    e = clientCreateStoreEntry(http, http->request->method, null_request_flags);
+	    e =
+		clientCreateStoreEntry(http, http->request->method,
+		null_request_flags);
 	    /*
 	     * Copy timestamp from the original entry so the 304
 	     * reply has a meaningful Age: header.
@@ -1442,7 +1448,8 @@
 
 /* appends a "part" HTTP header (as in a multi-part/range reply) to the buffer */
 static void
-clientPackRangeHdr(const HttpReply * rep, const HttpHdrRangeSpec * spec, String boundary, MemBuf * mb)
+clientPackRangeHdr(const HttpReply * rep, const HttpHdrRangeSpec * spec,
+    String boundary, MemBuf * mb)
 {
     HttpHeader hdr;
     Packer p;
@@ -1450,14 +1457,16 @@
     assert(spec);
 
     /* put boundary */
-    debug(33, 5) ("clientPackRangeHdr: appending boundary: %s\n", strBuf(boundary));
+    debug(33, 5) ("clientPackRangeHdr: appending boundary: %s\n",
+	strBuf(boundary));
     /* rfc2046 requires to _prepend_ boundary with <crlf>! */
     memBufPrintf(mb, "\r\n--%s\r\n", strBuf(boundary));
 
     /* stuff the header with required entries and pack it */
     httpHeaderInit(&hdr, hoReply);
     if (httpHeaderHas(&rep->header, HDR_CONTENT_TYPE))
-	httpHeaderPutStr(&hdr, HDR_CONTENT_TYPE, httpHeaderGetStr(&rep->header, HDR_CONTENT_TYPE));
+	httpHeaderPutStr(&hdr, HDR_CONTENT_TYPE, httpHeaderGetStr(&rep->header,
+		HDR_CONTENT_TYPE));
     httpHeaderAddContRange(&hdr, *spec, rep->content_length);
     packerToMemInit(&p, mb);
     httpHeaderPackInto(&hdr, &p);
@@ -1474,10 +1483,7 @@
  */
 static void
 clientPackRange(clientHttpRequest * http,
-    HttpHdrRangeIter * i,
-    const char **buf,
-    ssize_t * size,
-    MemBuf * mb)
+    HttpHdrRangeIter * i, const char **buf, ssize_t * size, MemBuf * mb)
 {
     const ssize_t copy_sz = i->debt_size <= *size ? i->debt_size : *size;
     off_t body_off = http->out.offset - i->prefix_size;
@@ -1492,14 +1498,13 @@
      * put boundary and headers at the beginning of a range in a
      * multi-range
      */
-    if (http->request->range->specs.count > 1 && i->debt_size == i->spec->length) {
+    if (http->request->range->specs.count > 1
+	&& i->debt_size == i->spec->length) {
 	assert(http->entry->mem_obj);
-	clientPackRangeHdr(
-	    http->entry->mem_obj->reply,	/* original reply */
+	clientPackRangeHdr(http->entry->mem_obj->reply,	/* original reply */
 	    i->spec,		/* current range */
 	    i->boundary,	/* boundary, the same for all */
-	    mb
-	    );
+	    mb);
     }
     /*
      * append content
@@ -1524,7 +1529,8 @@
  * increments iterator "i"
  * used by clientPackMoreRanges */
 static int
-clientCanPackMoreRanges(const clientHttpRequest * http, HttpHdrRangeIter * i, ssize_t size)
+clientCanPackMoreRanges(const clientHttpRequest * http, HttpHdrRangeIter * i,
+    ssize_t size)
 {
     /* first update "i" if needed */
     if (!i->debt_size) {
@@ -1539,7 +1545,8 @@
 /* extracts "ranges" from buf and appends them to mb, updating all offsets and such */
 /* returns true if we need more data */
 static int
-clientPackMoreRanges(clientHttpRequest * http, const char *buf, ssize_t size, MemBuf * mb)
+clientPackMoreRanges(clientHttpRequest * http, const char *buf, ssize_t size,
+    MemBuf * mb)
 {
     HttpHdrRangeIter *i = &http->range_iter;
     /* offset in range specs does not count the prefix of an http msg */
@@ -1554,8 +1561,12 @@
 	start = i->spec->offset + i->spec->length - i->debt_size;
 	debug(33, 3) ("clientPackMoreRanges: in:  offset: %d size: %d\n",
 	    (int) body_off, size);
-	debug(33, 3) ("clientPackMoreRanges: out: start: %d spec[%d]: [%d, %d), len: %d debt: %d\n",
-	    (int) start, (int) i->pos, i->spec->offset, (int) (i->spec->offset + i->spec->length), i->spec->length, i->debt_size);
+	debug(33, 3)
+	    
+	    ("clientPackMoreRanges: out: start: %d spec[%d]: [%d, %d), len: %d debt: %d\n",
+	    (int) start, (int) i->pos, i->spec->offset,
+	    (int) (i->spec->offset + i->spec->length), i->spec->length,
+	    i->debt_size);
 	assert(body_off <= start);	/* we did not miss it */
 	/* skip up to start */
 	if (body_off + size > start) {
@@ -1577,16 +1588,22 @@
 	}
     }
     assert(!i->debt_size == !i->spec);	/* paranoid sync condition */
-    debug(33, 3) ("clientPackMoreRanges: buf exhausted: in:  offset: %d size: %d need_more: %d\n",
+    debug(33, 3)
+
+	
+	("clientPackMoreRanges: buf exhausted: in:  offset: %d size: %d need_more: %d\n",
 	(int) body_off, size, i->debt_size);
     if (i->debt_size) {
-	debug(33, 3) ("clientPackMoreRanges: need more: spec[%d]: [%d, %d), len: %d\n",
-	    (int) i->pos, i->spec->offset, (int) (i->spec->offset + i->spec->length), i->spec->length);
+	debug(33, 3)
+	    ("clientPackMoreRanges: need more: spec[%d]: [%d, %d), len: %d\n",
+	    (int) i->pos, i->spec->offset,
+	    (int) (i->spec->offset + i->spec->length), i->spec->length);
 	/* skip the data we do not need if possible */
 	if (i->debt_size == i->spec->length)	/* at the start of the cur. spec */
 	    body_off = i->spec->offset;
 	else
-	    assert(body_off == i->spec->offset + i->spec->length - i->debt_size);
+	    assert(body_off ==
+		i->spec->offset + i->spec->length - i->debt_size);
     } else if (http->request->range->specs.count > 1) {
 	/* put terminating boundary for multiparts */
 	clientPackTermBound(i->boundary, mb);
@@ -1688,17 +1705,17 @@
 	    assert(body_size >= 0);
 	    body_buf = buf + rep->hdr_sz;
 	    http->range_iter.prefix_size = rep->hdr_sz;
-	    debug(33, 3) ("clientSendMoreData: Appending %d bytes after %d bytes of headers\n",
+	    debug(33, 3)
+		
+		("clientSendMoreData: Appending %d bytes after %d bytes of headers\n",
 		body_size, rep->hdr_sz);
-	} else if (size < CLIENT_SOCK_SZ && entry->store_status == STORE_PENDING) {
+	} else if (size < CLIENT_SOCK_SZ
+	    && entry->store_status == STORE_PENDING) {
 	    /* wait for more to arrive */
 	    storeClientCopy(entry,
 		http->out.offset + size,
 		http->out.offset,
-		CLIENT_SOCK_SZ,
-		buf,
-		clientSendMoreData,
-		http);
+		CLIENT_SOCK_SZ, buf, clientSendMoreData, http);
 	    return;
 	}
 	/* reset range iterator */
@@ -1776,7 +1793,7 @@
 	 * This hack may hit performance a little, but it's better than 
 	 * blocking!.
 	 */
-#if defined (_SQUID_CYGWIN_) || defined (_SQUID_MSWIN_)
+#if defined (_SQUID_CYGWIN_)
 	commSetSelect(conn->fd, COMM_SELECT_READ, clientReadRequest, conn, 0);
 #else
 	clientReadRequest(conn->fd, conn);	/* Read next request */
@@ -1800,22 +1817,22 @@
 		http->out.offset,
 		http->out.offset,
 		CLIENT_SOCK_SZ,
-		memAllocate(MEM_CLIENT_SOCK_BUF),
-		clientSendMoreData,
-		http);
+		memAllocate(MEM_CLIENT_SOCK_BUF), clientSendMoreData, http);
 	}
     }
 }
 
 static void
-clientWriteComplete(int fd, char *bufnotused, size_t size, int errflag, void *data)
+clientWriteComplete(int fd, char *bufnotused, size_t size, int errflag,
+    void *data)
 {
     clientHttpRequest *http = data;
     StoreEntry *entry = http->entry;
     int done;
     http->out.size += size;
     debug(33, 5) ("clientWriteComplete: FD %d, sz %d, err %d, off %d, len %d\n",
-	fd, size, errflag, (int) http->out.offset, entry ? objectLen(entry) : 0);
+	fd, size, errflag, (int) http->out.offset,
+	entry ? objectLen(entry) : 0);
     if (size > 0) {
 	kb_incr(&Counter.client_http.kbytes_out, size);
 	if (isTcpHit(http->log_type))
@@ -1840,7 +1857,8 @@
 	    debug(33, 5) ("clientWriteComplete: closing, !done\n");
 	    comm_close(fd);
 	} else if (clientGotNotEnough(http)) {
-	    debug(33, 5) ("clientWriteComplete: client didn't get all it expected\n");
+	    debug(33,
+		5) ("clientWriteComplete: client didn't get all it expected\n");
 	    comm_close(fd);
 	} else if (http->request->flags.proxy_keepalive) {
 	    debug(33, 5) ("clientWriteComplete: FD %d Keeping Alive\n", fd);
@@ -1859,9 +1877,7 @@
 	    http->out.offset,
 	    http->out.offset,
 	    CLIENT_SOCK_SZ,
-	    memAllocate(MEM_CLIENT_SOCK_BUF),
-	    clientSendMoreData,
-	    http);
+	    memAllocate(MEM_CLIENT_SOCK_BUF), clientSendMoreData, http);
     }
 }
 
@@ -1971,8 +1987,7 @@
     int fd = http->conn->fd;
     HttpReply *rep;
     debug(33, 4) ("clientProcessRequest: %s '%s'\n",
-	RequestMethodStr[r->method],
-	url);
+	RequestMethodStr[r->method], url);
     if (r->method == METHOD_CONNECT) {
 	http->log_type = LOG_TCP_MISS;
 	sslStart(fd, url, r, &http->out.size);
@@ -1982,7 +1997,8 @@
 	return;
     } else if (r->method == METHOD_TRACE) {
 	if (r->max_forwards == 0) {
-	    http->entry = clientCreateStoreEntry(http, r->method, null_request_flags);
+	    http->entry =
+		clientCreateStoreEntry(http, r->method, null_request_flags);
 	    storeReleaseRequest(http->entry);
 	    storeBuffer(http->entry);
 	    rep = httpReplyCreate();
@@ -2004,8 +2020,7 @@
 	http->log_type = clientProcessRequest2(http);
     }
     debug(33, 4) ("clientProcessRequest: %s for '%s'\n",
-	log_tags[http->log_type],
-	http->uri);
+	log_tags[http->log_type], http->uri);
     http->out.offset = 0;
     if (NULL != http->entry) {
 	storeLockObject(http->entry);
@@ -2019,9 +2034,7 @@
 	    http->out.offset,
 	    http->out.offset,
 	    CLIENT_SOCK_SZ,
-	    memAllocate(MEM_CLIENT_SOCK_BUF),
-	    clientCacheHit,
-	    http);
+	    memAllocate(MEM_CLIENT_SOCK_BUF), clientCacheHit, http);
     } else {
 	/* MISS CASE */
 	clientProcessMiss(http);
@@ -2045,7 +2058,8 @@
      */
     if (http->entry) {
 	if (EBIT_TEST(http->entry->flags, ENTRY_SPECIAL)) {
-	    debug(33, 0) ("clientProcessMiss: miss on a special object (%s).\n", url);
+	    debug(33, 0) ("clientProcessMiss: miss on a special object (%s).\n",
+		url);
 	    debug(33, 0) ("\tlog_type = %s\n", log_tags[http->log_type]);
 	    storeEntryDump(http->entry, 1);
 	}
@@ -2065,7 +2079,8 @@
 	err = errorCon(ERR_ACCESS_DENIED, HTTP_FORBIDDEN);
 	err->request = requestLink(r);
 	err->src_addr = http->conn->peer.sin_addr;
-	http->entry = clientCreateStoreEntry(http, r->method, null_request_flags);
+	http->entry =
+	    clientCreateStoreEntry(http, r->method, null_request_flags);
 	errorAppendEntry(http->entry, err);
 	return;
     }
@@ -2154,7 +2169,8 @@
 
     /* Barf on NULL characters in the headers */
     if (strlen(inbuf) != req_sz) {
-	debug(33, 1) ("parseHttpRequest: Requestheader contains NULL characters\n");
+	debug(33,
+	    1) ("parseHttpRequest: Requestheader contains NULL characters\n");
 	return parseHttpRequestAbort(conn, "error:invalid-request");
     }
     /* Look for request method */
@@ -2235,7 +2251,8 @@
     *(*prefix_p + prefix_sz) = '\0';
     dlinkAdd(http, &http->active, &ClientActiveRequests);
 
-    debug(33, 5) ("parseHttpRequest: Request Header is\n%s\n", (*prefix_p) + *req_line_sz_p);
+    debug(33, 5) ("parseHttpRequest: Request Header is\n%s\n",
+	(*prefix_p) + *req_line_sz_p);
     if ((t = strchr(url, '#')))	/* remove HTML anchors */
 	*t = '\0';
 
@@ -2266,11 +2283,9 @@
 		*q++ = '\0';
 		vport = atoi(q);
 	    }
-	    url_sz = strlen(url) + 32 + Config.appendDomainLen +
-		strlen(t);
+	    url_sz = strlen(url) + 32 + Config.appendDomainLen + strlen(t);
 	    http->uri = xcalloc(url_sz, 1);
-	    snprintf(http->uri, url_sz, "http://%s:%d%s",
-		t, vport, url);
+	    snprintf(http->uri, url_sz, "http://%s:%d%s", t, vport, url);
 	} else if (vhost_mode) {
 	    int vport;
 	    /* Put the local socket IP address as the hostname */
@@ -2295,22 +2310,22 @@
 	    }
 	    if (ioctl(natfd, SIOCGNATL, &natLookup) < 0) {
 		if (errno != ESRCH) {
-		    debug(50, 1) ("parseHttpRequest: NAT lookup failed: ioctl(SIOCGNATL)\n");
+		    debug(50, 1)
+			
+			("parseHttpRequest: NAT lookup failed: ioctl(SIOCGNATL)\n");
 		    close(natfd);
 		    natfd = -1;
-		    return parseHttpRequestAbort(conn, "error:nat-lookup-failed");
+		    return parseHttpRequestAbort(conn,
+			"error:nat-lookup-failed");
 		} else
 		    snprintf(http->uri, url_sz, "http://%s:%d%s",
-			inet_ntoa(http->conn->me.sin_addr),
-			vport, url);
+			inet_ntoa(http->conn->me.sin_addr), vport, url);
 	    } else
 		snprintf(http->uri, url_sz, "http://%s:%d%s",
-		    inet_ntoa(natLookup.nl_realip),
-		    vport, url);
+		    inet_ntoa(natLookup.nl_realip), vport, url);
 #else
 	    snprintf(http->uri, url_sz, "http://%s:%d%s",
-		inet_ntoa(http->conn->me.sin_addr),
-		vport, url);
+		inet_ntoa(http->conn->me.sin_addr), vport, url);
 #endif
 	    debug(33, 5) ("VHOST REWRITE: '%s'\n", http->uri);
 	} else {
@@ -2367,11 +2382,7 @@
     int len = conn->in.size - conn->in.offset - 1;
     debug(33, 4) ("clientReadRequest: FD %d: reading request...\n", fd);
     Counter.syscalls.sock.reads++;
-#ifdef _SQUID_MSWIN_
-    size = recv(fd, conn->in.buf + conn->in.offset, len);
-#else
     size = read(fd, conn->in.buf + conn->in.offset, len);
-#endif
     if (size > 0) {
 	fd_bytes(fd, size, FD_READ);
 	kb_incr(&Counter.client_http.kbytes_in, size);
@@ -2401,17 +2412,14 @@
 	conn->defer.n++;
 	fd_note(fd, "half-closed");
 	return;
-#ifdef _SQUID_MSWIN_
-    } else if (size ==SOCKET_ERROR) {
-#else
     } else if (size < 0) {
-#endif
 	if (!ignoreErrno(errno)) {
 	    debug(50, 2) ("clientReadRequest: FD %d: %s\n", fd, xstrerror());
 	    comm_close(fd);
 	    return;
 	} else if (conn->in.offset == 0) {
-	    debug(50, 2) ("clientReadRequest: FD %d: no data to process (%s)\n", fd, xstrerror());
+	    debug(50, 2) ("clientReadRequest: FD %d: no data to process: %s\n",
+		fd, xstrerror());
 	    return;
 	}
 	/* Continue to process previously read data */
@@ -2432,17 +2440,18 @@
 	/* Limit the number of concurrent requests to 2 */
 	for (H = &conn->chr, nrequests = 0; *H; H = &(*H)->next, nrequests++);
 	if (nrequests >= 2) {
-	    debug(33, 3) ("clientReadRequest: FD %d max concurrent requests reached\n", fd);
-	    debug(33, 5) ("clientReadRequest: FD %d defering new request until one is done\n", fd);
+	    debug(33, 3)
+		("clientReadRequest: FD %d max concurrent requests reached\n", fd);
+	    debug(33, 5)
+		
+		("clientReadRequest: FD %d defering new request until one is done\n",
+		fd);
 	    conn->defer.until = squid_curtime + 100;	/* Reset when a request is complete */
 	    break;
 	}
 	/* Process request */
 	http = parseHttpRequest(conn,
-	    &method,
-	    &parser_return_code,
-	    &prefix,
-	    &req_line_sz);
+	    &method, &parser_return_code, &prefix, &req_line_sz);
 	if (!http)
 	    safe_free(prefix);
 	if (http) {
@@ -2455,7 +2464,8 @@
 	     * data to the beginning
 	     */
 	    if (conn->in.offset > 0)
-		xmemmove(conn->in.buf, conn->in.buf + http->req_sz, conn->in.offset);
+		xmemmove(conn->in.buf, conn->in.buf + http->req_sz,
+		    conn->in.offset);
 	    /* add to the client request queue */
 	    for (H = &conn->chr; *H; H = &(*H)->next);
 	    *H = http;
@@ -2465,7 +2475,8 @@
 		debug(33, 1) ("clientReadRequest: FD %d Invalid Request\n", fd);
 		err = errorCon(ERR_INVALID_REQ, HTTP_BAD_REQUEST);
 		err->request_hdrs = xstrdup(conn->in.buf);
-		http->entry = clientCreateStoreEntry(http, method, null_request_flags);
+		http->entry =
+		    clientCreateStoreEntry(http, method, null_request_flags);
 		errorAppendEntry(http->entry, err);
 		safe_free(prefix);
 		break;
@@ -2476,7 +2487,8 @@
 		err->src_addr = conn->peer.sin_addr;
 		err->url = xstrdup(http->uri);
 		http->al.http.code = err->http_status;
-		http->entry = clientCreateStoreEntry(http, method, null_request_flags);
+		http->entry =
+		    clientCreateStoreEntry(http, method, null_request_flags);
 		errorAppendEntry(http->entry, err);
 		safe_free(prefix);
 		break;
@@ -2492,10 +2504,12 @@
 	    if (!http->flags.internal) {
 		if (internalCheck(strBuf(request->urlpath))) {
 		    if (internalHostnameIs(request->host) &&
-			request->port == ntohs(Config.Sockaddr.http->s.sin_port)) {
+			request->port ==
+			ntohs(Config.Sockaddr.http->s.sin_port)) {
 			http->flags.internal = 1;
 		    } else if (internalStaticCheck(strBuf(request->urlpath))) {
-			xstrncpy(request->host, internalHostname(), SQUIDHOSTNAMELEN);
+			xstrncpy(request->host, internalHostname(),
+			    SQUIDHOSTNAMELEN);
 			request->port = ntohs(Config.Sockaddr.http->s.sin_port);
 			http->flags.internal = 1;
 		    }
@@ -2520,7 +2534,9 @@
 		err->request = requestLink(request);
 		request->flags.proxy_keepalive = 0;
 		http->al.http.code = err->http_status;
-		http->entry = clientCreateStoreEntry(http, request->method, null_request_flags);
+		http->entry =
+		    clientCreateStoreEntry(http, request->method,
+		    null_request_flags);
 		errorAppendEntry(http->entry, err);
 		break;
 	    }
@@ -2529,7 +2545,9 @@
 		err->src_addr = conn->peer.sin_addr;
 		err->request = requestLink(request);
 		http->al.http.code = err->http_status;
-		http->entry = clientCreateStoreEntry(http, request->method, null_request_flags);
+		http->entry =
+		    clientCreateStoreEntry(http, request->method,
+		    null_request_flags);
 		errorAppendEntry(http->entry, err);
 		break;
 	    }
@@ -2554,7 +2572,8 @@
 		    xmemcpy(request->body, conn->in.buf, request->body_sz);
 		    conn->in.offset -= copy_len;
 		    if (conn->in.offset)
-			xmemmove(conn->in.buf, conn->in.buf + copy_len, conn->in.offset);
+			xmemmove(conn->in.buf, conn->in.buf + copy_len,
+			    conn->in.offset);
 		}
 		/*
 		 * if we didn't get the full body now, then more will
@@ -2587,14 +2606,18 @@
 		    /* The request is too large to handle */
 		    debug(33, 1) ("Request header is too large (%d bytes)\n",
 			(int) conn->in.offset);
-		    debug(33, 1) ("Config 'request_header_max_size'= %d bytes.\n",
+		    debug(33,
+			1) ("Config 'request_header_max_size'= %d bytes.\n",
 			Config.maxRequestHeaderSize);
 		    err = errorCon(ERR_TOO_BIG, HTTP_REQUEST_ENTITY_TOO_LARGE);
-		    http = parseHttpRequestAbort(conn, "error:request-too-large");
+		    http =
+			parseHttpRequestAbort(conn, "error:request-too-large");
 		    /* add to the client request queue */
 		    for (H = &conn->chr; *H; H = &(*H)->next);
 		    *H = http;
-		    http->entry = clientCreateStoreEntry(http, METHOD_NONE, null_request_flags);
+		    http->entry =
+			clientCreateStoreEntry(http, METHOD_NONE,
+			null_request_flags);
 		    errorAppendEntry(http->entry, err);
 		    return;
 		}
@@ -2602,7 +2625,8 @@
 		conn->in.size += REQUEST_BUF_SIZE;
 		conn->in.buf = xrealloc(conn->in.buf, conn->in.size);
 		/* XXX account conn->in.buf */
-		debug(33, 3) ("Handling a large request, offset=%d inbufsize=%d\n",
+		debug(33,
+		    3) ("Handling a large request, offset=%d inbufsize=%d\n",
 		    (int) conn->in.offset, conn->in.size);
 		k = conn->in.size - 1 - conn->in.offset;
 	    }
@@ -2660,7 +2684,8 @@
     if (fdNFree() >= RESERVED_FD)
 	return 0;
     if (last_warn + 15 < squid_curtime) {
-	debug(33, 0) ("WARNING! Your cache is running out of filedescriptors\n");
+	debug(33,
+	    0) ("WARNING! Your cache is running out of filedescriptors\n");
 	last_warn = squid_curtime;
     }
     return 1;
@@ -2683,11 +2708,7 @@
     while (max-- && !httpAcceptDefer(sock, NULL)) {
 	memset(&peer, '\0', sizeof(struct sockaddr_in));
 	memset(&me, '\0', sizeof(struct sockaddr_in));
-#ifdef _SQUID_MSWIN_
-	if ((fd = comm_accept(sock, &peer, &me)) ==INVALID_SOCKET ) {
-#else
 	if ((fd = comm_accept(sock, &peer, &me)) < 0) {
-#endif
 	    if (!ignoreErrno(errno))
 		debug(50, 1) ("httpAccept: FD %d: accept failure: %s\n",
 		    sock, xstrerror());
@@ -2794,7 +2815,8 @@
 static int
 clientGotNotEnough(clientHttpRequest * http)
 {
-    int cl = httpReplyBodySize(http->request->method, http->entry->mem_obj->reply);
+    int cl =
+	httpReplyBodySize(http->request->method, http->entry->mem_obj->reply);
     int hs = http->entry->mem_obj->reply->hdr_sz;
     assert(cl >= 0);
     if (http->out.offset < cl + hs)
